Status: New Start date: 06 Aug 2020

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: enhancing/improving Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.40 hour

Description

It would be nicer if one could obtain a proper rational function as a hilbert series.

Related issues:

Related to CoCoA-5 - Bug #1745: Printing of Hilbert series via indent Closed 22 May 2023

History

#1 - 06 Aug 2020 12:23 - John Abbott

Andraschko's original email:

Arithmetic on Hilbert series or Hilbert functions. E.g. the code

/**/ S ::= QQ[x1,x2,x3,x4];

/**/ I := ideal(S,[RingElem(S,"x4")]);

/**/ H1 := HilbertSeries(R);

/**/ H2 := HilbertSeries(S/I);

/**/ H1 = H2;

produces two warnings that CoCoA is untagging the operators and then even says false. Also sth like H1 + H2 would be great. I have no idea whether

it is possible to redefine operators as in C++, but even something like $hs.Equal(...) or $hs.Add(...) would be great.

#2 - 10 Aug 2020 15:51 - John Abbott

Bernhard points out that currently a "hilbert series" is a record.

Perhaps it is best then to add a new field which contains a proper ratfn representation of the HS.

In which field should the ratfn reside?  Should there be a QQ like QQ[t] for num and den?

Or perhaps instead of QQ[t]?

#3 - 03 Feb 2022 19:54 - John Abbott

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2

#4 - 22 May 2023 21:09 - John Abbott

- Related to Bug #1745: Printing of Hilbert series via indent added
